xoops forums

pinchecl

Friend of XOOPS
Posted on: 2011/10/4 3:48
pinchecl
pinchecl (Show more)
Friend of XOOPS
Posts: 193
Since: 2005/4/22
#1

help on installation

I upgraded from 2.5.1.ato 2.5.2 and got a fatal error. Reverting to 2.5.1a got the same message. Now tried 2.5.1 and got it again.
Parse error: syntax error, unexpected $end, expecting T_FUNCTION in /home/pinchecl/public_html/kernel/object.php on line 115.

Please, any help is appreciated since I can not access anything anymore

Mamba

Moderator
Posted on: 2011/10/4 4:50
Mamba
Mamba (Show more)
Moderator
Posts: 10823
Since: 2004/4/23
#2

Re: help on installation

Did you clear cache?

Did you update the System module?
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

pinchecl

Friend of XOOPS
Posted on: 2011/10/4 5:07
pinchecl
pinchecl (Show more)
Friend of XOOPS
Posts: 193
Since: 2005/4/22
#3

Re: help on installation

I cleared cache using ftp but didn't update system module since I got the error that prevented me to access anything

Mamba

Moderator
Posted on: 2011/10/4 5:26
Mamba
Mamba (Show more)
Moderator
Posts: 10823
Since: 2004/4/23
#4

Re: help on installation

I sent you an email. Check your inbox...
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

pinchecl

Friend of XOOPS
Posted on: 2011/10/4 5:44
pinchecl
pinchecl (Show more)
Friend of XOOPS
Posts: 193
Since: 2005/4/22
#5

Re: help on installation

Tnx Mamba, I'm afraid I will not receive that if you used the email from my profile. could you re-send it to cliff at indehoogte.nl?

Mamba

Moderator
Posted on: 2011/10/4 5:59
Mamba
Mamba (Show more)
Moderator
Posts: 10823
Since: 2004/4/23
#6

Re: help on installation

OK, email on the way to this address....
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Mamba

Moderator
Posted on: 2011/10/4 7:10
Mamba
Mamba (Show more)
Moderator
Posts: 10823
Since: 2004/4/23
#7

Re: help on installation

The Website is up and running.

The problem was that he has overwritten the "secure.php" file in:

/xoops_data/data

If you have installed XOOPS as a fresh installation of XOOPS 2.5.x, then all the database information is now in the "secure.php" file (previously it was in mainfile.php, but in order to improve security, it has been moved to "secure.php"). Therefore make sure that you don't overwrite that file.

And as always, make a backup before you update it, so you can go back and copy over the "secure.php" file, if needed.



Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

pinchecl

Friend of XOOPS
Posted on: 2011/10/4 8:25
pinchecl
pinchecl (Show more)
Friend of XOOPS
Posts: 193
Since: 2005/4/22
#8

Re: help on installation

Thanks my friend, you really helped me out!

ForMusS

Core Developer
Posted on: 2011/10/5 8:00
ForMusS
ForMusS (Show more)
Core Developer
Posts: 146
Since: 2007/10/19
#9

Re: help on installation

The problem with secure.php file is solved for the futur release and of course for futur update

josephpratt

Just popping in
Posted on: 2011/10/5 10:07
josephpratt
josephpratt (Show more)
Just popping in
Posts: 1
Since: 2011/10/5
#10

Re: help on installation

Hey even I was facing with the problem of Installation, Can you please help me ??